using Microsoft.AspNetCore.Mvc;
using System.Threading.Tasks;
using XYY.Core.Standard.Mvc;
using XYY.Model.Standard.Order.FBA;
using XYY.Service.Standard.Order.FBA;

namespace XYY.Api.Order.Controllers.FBA
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class FBAOtherFeeController : ApiControllerBase
    {
        IFBAOtherFeeService fBAOtherFeeService;

        public FBAOtherFeeController(IFBAOtherFeeService fBAOtherFeeService)
        {
            this.fBAOtherFeeService = fBAOtherFeeService;
        }
        [HttpGet]
        public async Task<IActionResult> GetAll()
        {
            var data = await fBAOtherFeeService.GetAll();
            return Ok(data);
        }
        [HttpPost]
        public async Task<IActionResult> SaveOrAdd(FBA_OtherFee otherFee)
        {
           await  fBAOtherFeeService.SaveOrAdd(otherFee);
            return Ok();
        }
    }
}
